EDIT - task #9576

Add tests for homotypic group nhame comparator
04/01/2021 11:57 AM - Katja Luther

Status: Rejected Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version:

Severity: normal

Description

from #9567:

Maybe you can still add some tests for HomotypicGroupNameComparator which explicitly handle specific issues for name
comparison so the HomotypicGroupNameComparator is also covered by tests. Especially the NPE case should be covered.

Related issues:
Related to EDIT - task #9567: Unify HomotypicGroupTaxonComparator and Homotyp... Closed

Associated revisions

Revision 26060d0d - 05/21/2021 09:17 AM - Katja Luther
ref #9576: delete HomotypicaGroupNameComparator

History

#1 - 04/01/2021 11:58 AM - Katja Luther
- Related to task #9567: Unify HomotypicGroup TaxonComparator and HomotypicGroupNameComparator added

#2 - 04/01/2021 11:58 AM - Katja Luther

- Subject changed from Add tests for homotypic group comparator to Add tests for homotypic group name comparator

#3 - 04/01/2021 12:18 PM - Andreas Miiller

- Tracker changed from feature request to task

#4 - 05/21/2021 09:15 AM - Katja Luther
- Status changed from New to Rejected

- Target version deleted (Release 5.25)

The HOmotypicalGroupNameCOmparator is not used anymore therefore | would remove it and close this ticket because we do not need it anymore,

#5 - 05/21/2021 10:12 AM - Andreas Mdiller

Does the unified HomotypicGroupTaxonComparator include the tests then?

#6 - 05/21/2021 10:20 AM - Katja Luther

Andreas Muller wrote:

Does the unified HomotypicGroupTaxonComparator include the tests then?

There is not need for a nameComparator anymore so we do not need a test for orphaned names and hybrids are already covered.
